> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getbluejay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT /v1/update-metrics

> Update several custom metrics.

Applies the same `updates` to each metric in `metric_ids`. Only the keys you send change. A key with `null` is set to null.`PUT /v1/update-custom-metrics` is the deprecated path of this endpoint.## Headers

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Request body

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Response

\<table><thead><tr><th>Name</th>
            \<th>Type</th>
            \<th>Required</th>
            \<th>Description</th></tr></thead>
        \<tbody /></table>

## Status codes| Status | Meaning |
| - | - |
| `200` | Successful Response |
| `422` | Validation Error |## Example request```bash theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
curl --request PUT \
  --url https://api.getbluejay.ai/v1/update-metrics \
  --header 'X-API-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
    "metric_ids": [
      "<string>"
    ],
    "updates": {
      "tags": [
        "<string>"
      ],
      "agent_ids": [
        123
      ],
      "eval_modality": "AUDIO",
      "eval_segment": "agent",
      "scope": "observability",
      "model": "<string>",
      "audio_model": "<string>",
      "temperature": 1.5,
      "allow_not_applicable": true
    }
  }'
```## Example response```json 200 theme={"theme":{"light":"vitesse-light","dark":"vitesse-dark"}}
{
  "success": true,
  "message": "<string>",
  "updated": 123
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.